%define name	gscan2pdf
%define version	0.9.29
%define release %mkrel 2

Name: 	 	%{name}
Summary: 	Producies multipage PDFs from a scan
Version: 	%{version}
Release: 	%{release}

Source:		http://jaist.dl.sourceforge.net/sourceforge/%name/%name-%version.tar.gz
URL:		http://gscan2pdf.sourceforge.net/
License:	GPLv3
Group:		Publishing
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
BuildRequires:	imagemagick desktop-file-utils
Requires:	perl-Gtk2 perl-Locale-gettext perl-PDF-API2
Requires:	libtiff-progs imagemagick
Requires:	perl-Image-Magick
Requires:	sane-frontends
Requires:	perl-Gtk2-Ex-PodViewer
Requires:	perl-forks >= 0.33
Requires:	perl-reaper
Requires:	unpaper
Requires:	xdg-utils
Requires:	djvulibre
Requires:	gocr

%description
A GUI to ease the process of producing a multipage PDF from a scan.

Scanning is handled with SANE via scanimage. PDF conversion is done by
PDF::API2. TIFF export is handled by libtiff (faster and smaller memory
footprint for multipage files).

%prep
%setup -q

%build
perl Makefile.PL INSTALLDIRS=vendor
perl -pi -e 's|usr/local|usr||g' Makefile
make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--remove-category='Application' \
	%buildroot%_datadir/applications/*.desktop

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 %name.svg $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 %name.svg $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 %name.svg $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc History INSTALL
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_datadir}/pixmaps/*.svg


%changelog
* Mon May 18 2009 Funda Wang <fundawang@mandriva.org> 0.9.29-2mdv2010.0
+ Revision: 376824
- fix requires

* Wed May 06 2009 Funda Wang <fundawang@mandriva.org> 0.9.29-1mdv2010.0
+ Revision: 372357
- update to new version 0.9.29

* Tue May 05 2009 Funda Wang <fundawang@mandriva.org> 0.9.28-2mdv2010.0
+ Revision: 372066
- add more requires (bug#50517)

* Sat May 02 2009 Funda Wang <fundawang@mandriva.org> 0.9.28-1mdv2010.0
+ Revision: 370436
- update file list
- New version 0.9.28

* Sat Dec 13 2008 Funda Wang <fundawang@mandriva.org> 0.9.27-1mdv2009.1
+ Revision: 313909
- fix file list
- new version 0.9.27

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Aug 25 2008 Funda Wang <fundawang@mandriva.org> 0.9.26-1mdv2009.0
+ Revision: 275708
- update to new version 0.9.26

* Sat Jul 05 2008 Funda Wang <fundawang@mandriva.org> 0.9.25-1mdv2009.0
+ Revision: 231939
- update to new version 0.9.25

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed May 14 2008 Funda Wang <fundawang@mandriva.org> 0.9.24-1mdv2009.0
+ Revision: 207237
- update to new version 0.9.24

* Fri Mar 07 2008 Funda Wang <fundawang@mandriva.org> 0.9.23-1mdv2008.1
+ Revision: 181297
- update to new version 0.9.23

* Sat Feb 02 2008 Funda Wang <fundawang@mandriva.org> 0.9.21-1mdv2008.1
+ Revision: 161382
- update to new version 0.9.21

* Mon Jan 21 2008 Funda Wang <fundawang@mandriva.org> 0.9.20-1mdv2008.1
+ Revision: 155531
- New version 0.9.20

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 25 2007 Funda Wang <fundawang@mandriva.org> 0.9.19-1mdv2008.1
+ Revision: 111886
- update to new version 0.9.19

* Sun Nov 18 2007 Funda Wang <fundawang@mandriva.org> 0.9.18-1mdv2008.1
+ Revision: 109798
- update to new version 0.9.18

* Wed Oct 10 2007 Funda Wang <fundawang@mandriva.org> 0.9.17-1mdv2008.1
+ Revision: 96809
- New version 0.9.17

* Sat Aug 25 2007 Funda Wang <fundawang@mandriva.org> 0.9.16-1mdv2008.0
+ Revision: 71137
- New version 0.9.16

* Wed Jul 25 2007 Austin Acton <austin@mandriva.org> 0.9.15-1mdv2008.0
+ Revision: 55136
- install perl module
- new version

* Mon Jul 09 2007 Austin Acton <austin@mandriva.org> 0.9.13-1mdv2008.0
+ Revision: 50764
- new version

* Sat Jun 09 2007 Austin Acton <austin@mandriva.org> 0.9.10-1mdv2008.0
+ Revision: 37703
- Import gscan2pdf

